New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Clips

Set the clips LLM config

PUT
/api/v1/clips/llm-config

Request Body

application/json
  1. body
provider?Provider
Default"gemini"
api_key?|

Omit to keep the provider's stored key

base_url?|

Omit to keep the provider's stored base URL

model?Model
Default""
disable_thinking?|

Omit to keep the stored reasoning setting

provider_order?|

OpenRouter provider slugs, comma-separated; omit to keep, empty to clear

reasoning_effort?|

One of the model's supported efforts (low, high, max...); omit to keep, empty for the default

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X PUT 'http://127.0.0.1:8100/api/v1/clips/llm-config' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
null